net.sf.jasperreports.engine.export.ooxml

## Class XlsxZip

- java.lang.Object
- - net.sf.jasperreports.engine.export.zip.AbstractZip
  - - net.sf.jasperreports.engine.export.zip.FileBufferedZip
    - - net.sf.jasperreports.engine.export.ooxml.XlsxZip

-     public class XlsxZip
      extends FileBufferedZip

  Version:
    $Id: XlsxZip.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip

      `exportZipEntries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxZip()` Deprecated. Replaced by `XlsxZip(JasperReportsContext)`.
    `XlsxZip(JasperReportsContext jasperReportsContext)`
    `XlsxZip(JasperReportsContext jasperReportsContext, java.lang.Integer memoryThreshold)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExportZipEntry` | `addDrawing(int index)`
    `ExportZipEntry` | `addDrawingRels(int index)`
    `void` | `addMacro(java.lang.String template)`
    `ExportZipEntry` | `addSheet(int index)`
    `ExportZipEntry` | `addSheetRels(int index)`
    `ExportZipEntry` | `getContentTypesEntry()`
    `ExportZipEntry` | `getRelsEntry()`
    `ExportZipEntry` | `getStylesEntry()`
    `ExportZipEntry` | `getWorkbookEntry()`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.zip.FileBufferedZip

      `addEntry, createEntry`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip

      `addEntry, dispose, zipEntries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XlsxZip

          public XlsxZip()
                  throws java.io.IOException

      Deprecated. Replaced by `XlsxZip(JasperReportsContext)`.
      Throws:
        `java.io.IOException`

    - #### XlsxZip

          public XlsxZip(JasperReportsContext jasperReportsContext)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### XlsxZip

          public XlsxZip(JasperReportsContext jasperReportsContext,
                 java.lang.Integer memoryThreshold)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getWorkbookEntry

          public ExportZipEntry getWorkbookEntry()

    - #### getStylesEntry

          public ExportZipEntry getStylesEntry()

    - #### getRelsEntry

          public ExportZipEntry getRelsEntry()

    - #### getContentTypesEntry

          public ExportZipEntry getContentTypesEntry()

    - #### addSheet

          public ExportZipEntry addSheet(int index)

    - #### addSheetRels

          public ExportZipEntry addSheetRels(int index)

    - #### addDrawing

          public ExportZipEntry addDrawing(int index)

    - #### addDrawingRels

          public ExportZipEntry addDrawingRels(int index)

    - #### addMacro

          public void addMacro(java.lang.String template)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com